'-------------------------------------------------------------------------------
'--                                                                           --
'--  FILE          :  AnalyzerComboBox.vb                                     --
'--                                                                           --
'--  Author(s)     :  He Hui (Three Swordsmen Team)                           --
'--                                                                           --
'--  NameSpace     :  WomenWC.UserControls                                    --
'--                                                                           --
'--  Project       :  WomenWC                                                 --
'--                                                                           --
'--  Solution      :  Women Working with COBOL                                --
'--                                                                           --
'--  Creation Date :  2007/04/10                                              --
'-------------------------------------------------------------------------------
'--  Modifications :                                                          --
'--                                                                           --
'--                                                                           --
'--                                                                           --
'-------------------------------------------------------------------------------
'-- Copyright(C) 2007, Three Swordsmen, Beijing China                         --
'--                                                                           --
'-- This software is released under the GNU General Public License            --
'-------------------------------------------------------------------------------

Namespace UserControls
    Public Class AnalyzerComboBox

        Public Sub New()

            ' この呼び出しは、Windows フォーム デザイナで必要です。
            InitializeComponent()

            ' InitializeComponent() 呼び出しの後で初期化を追加します。

            Me._cmbAnalyzer.Items.Clear()

        End Sub

        Public Property Analyzer() As String

            Get
                Return Me._cmbAnalyzer.Text
            End Get

            Set(ByVal value As String)
                Me._cmbAnalyzer.Text = value
            End Set
        End Property

        Public Sub AddItem(ByVal item As String)
            Me._cmbAnalyzer.Items.Add(item)
        End Sub

    End Class
End Namespace
